/**
 * Copyright (©) 2023 Pinpoint Designs LTD. All right's reserved.
 *
 * @category    Pinpoint
 * @copyright   Copyright (c) 2023 Pinpoint Designs. (http://www.pinpointdesigns.co.uk)
 * @author      Ricky Goacher <ricky.goacher@pinpointdesigns.co.uk>
 */

define([
    'Magento_PageBuilder/js/events',
    'Magento_PageBuilder/js/content-type/preview',
], function (events, PreviewBase) {
    'use strict';

    var $super;

    /**
     * @param parent
     * @param config
     * @param stageId
     * @constructor
     */

    function Preview(parent, config, stageId) {
        PreviewBase.call(this, parent, config, stageId);
    }

    Preview.prototype = Object.create(PreviewBase.prototype);

    $super = PreviewBase.prototype;

    Preview.prototype.retrieveOptions = function retrieveOptions() {
        var options = $super.retrieveOptions.call(this, arguments);

        delete options.move;
        delete options.duplicate;
        delete options.remove;

        return options;
    };

    /**
     * Check if content type is container
     *
     * @returns {boolean}
     */

    Preview.prototype.isContainer = function () {
        return false;
    };

    return Preview;
});
